﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.BusinessLogicsContracts;

public interface IPointsBusinessLogicContract
{
    List<PointsDataModel> GetAllPointsByPeriod(DateTime fromDate, DateTime toDate);
    List<PointsDataModel> GetAllPointsByPeriodByBuyer(DateTime fromDate, DateTime toDate, string buyerId);
    void CalculatePointsByMounth(DateTime date);
}
